curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-2.5-flash-image-preview",
"prompt": "一只穿着宇航服的猫咪在月球上行走",
"size": "1:1",
"n": 1
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-2.5-flash-image-preview",
"prompt": "将这只猫变成卡通风格",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/cat.jpg"]
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-2.5-flash-image-preview",
"prompt": "一只穿着宇航服的猫咪在月球上行走",
"size": "1:1",
"n": 1
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-2.5-flash-image-preview",
"prompt": "将这只猫变成卡通风格",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/cat.jpg"]
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-2.5-flash-image-preview',
prompt: '一只穿着宇航服的猫咪在月球上行走',
size: '1:1',
n: 1
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-2.5-flash-image-preview',
prompt: '将这只猫变成卡通风格',
size: '1:1',
n: 1,
image_urls: ['https://example.com/cat.jpg']
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "gemini-2.5-flash-image-preview",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
Gemini-2.5-Flash-Image-preview(Nano banana)
Gemini-2.5-Flash 图像生成
使用 Google Gemini 2.5 Flash 模型生成图像,快速高效
POST
/
v1
/
images
/
generations
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-2.5-flash-image-preview",
"prompt": "一只穿着宇航服的猫咪在月球上行走",
"size": "1:1",
"n": 1
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-2.5-flash-image-preview",
"prompt": "将这只猫变成卡通风格",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/cat.jpg"]
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-2.5-flash-image-preview",
"prompt": "一只穿着宇航服的猫咪在月球上行走",
"size": "1:1",
"n": 1
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-2.5-flash-image-preview",
"prompt": "将这只猫变成卡通风格",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/cat.jpg"]
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-2.5-flash-image-preview',
prompt: '一只穿着宇航服的猫咪在月球上行走',
size: '1:1',
n: 1
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-2.5-flash-image-preview',
prompt: '将这只猫变成卡通风格',
size: '1:1',
n: 1,
image_urls: ['https://example.com/cat.jpg']
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "gemini-2.5-flash-image-preview",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
- Google Gemini 2.5 Flash 高效图像生成模型 (Nano banana)
- 通过 model 参数选择
gemini-2.5-flash-image-preview模型 - 支持文本到图像生成
- 异步任务管理,通过任务 ID 查询结果
重要变更:为了更好的性能和成本控制,我们不再支持在
image_urls 中直接传入 base64 图片数据。请先使用 上传图片接口 上传图片,获取 URL 后再调用本接口。Authorizations
string
必填
所有接口均需要使用 Bearer Token 进行认证获取 API Key:访问 API Key 管理页面 获取您的 API Key使用时在请求头中添加:
Authorization: Bearer YOUR_API_KEY
Body
string
默认值:"gemini-2.5-flash-image-preview"
必填
图像生成模型名称可用模型别名:
nano-banana示例:"gemini-2.5-flash-image-preview"string
必填
图像生成的文本描述最长 1000 个字符
string
图像生成的尺寸比例支持的格式:
| 值 | 说明 | 像素(参考) |
|---|---|---|
1:1 | 正方形 | 1024x1024 |
16:9 | 横向宽屏 | 1792x1024 |
9:16 | 竖向长图 | 1024x1792 |
4:3 | 横向标准 | 1365x1024 |
3:4 | 竖向标准 | 1024x1365 |
3:2 | 横向相片 | 1536x1024 |
2:3 | 竖向相片 | 1024x1536 |
integer
默认值:1
生成图像的数量固定为 1⚠️ 注意: 必须是纯数字(如
1),不要加引号,否则会报错object[]
object
Response
string
任务唯一标识符,用于查询任务状态
string
对象类型,固定为
generation.taskstring
使用的模型名称
string
任务状态
queued- 排队等待处理in_progress- 处理中completed- 成功完成failed- 失败
integer
任务进度百分比(0-100)
integer
任务创建时间戳(Unix 时间戳)
object
任务元数据
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-2.5-flash-image-preview",
"prompt": "一只穿着宇航服的猫咪在月球上行走",
"size": "1:1",
"n": 1
}'
curl --request POST \
--url https://toapis.com/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "gemini-2.5-flash-image-preview",
"prompt": "将这只猫变成卡通风格",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/cat.jpg"]
}'
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-2.5-flash-image-preview",
"prompt": "一只穿着宇航服的猫咪在月球上行走",
"size": "1:1",
"n": 1
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
import requests
response = requests.post(
"https://toapis.com/v1/images/generations",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "gemini-2.5-flash-image-preview",
"prompt": "将这只猫变成卡通风格",
"size": "1:1",
"n": 1,
"image_urls": ["https://example.com/cat.jpg"]
}
)
task = response.json()
print(f"任务 ID: {task['id']}")
print(f"状态: {task['status']}")
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-2.5-flash-image-preview',
prompt: '一只穿着宇航服的猫咪在月球上行走',
size: '1:1',
n: 1
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
const response = await fetch('https://toapis.com/v1/images/generations', {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'gemini-2.5-flash-image-preview',
prompt: '将这只猫变成卡通风格',
size: '1:1',
n: 1,
image_urls: ['https://example.com/cat.jpg']
})
});
const task = await response.json();
console.log(`任务 ID: ${task.id}`);
console.log(`状态: ${task.status}`);
{
"id": "task_img_abc123def456",
"object": "generation.task",
"model": "gemini-2.5-flash-image-preview",
"status": "queued",
"progress": 0,
"created_at": 1703884800,
"metadata": {}
}
⌘I